<div class="container" style="align-content: center">
  <div mat-dialog-content>
    <p *ngIf="data2.state1===0">Удалить контрагента?</p>
    <p *ngIf="data2.state1===1">Удалить категорию?</p>
    <p *ngIf="data2.state1===2">Удалить группу работ?</p>
    <p *ngIf="data2.state1===3">Удалить работу</p>
  </div>
  <div mat-dialog-actions class="row">

    <button mat-button color="warn" [mat-dialog-close]="true"
            style="float: left; margin-bottom: 12px">Удалить
    </button>
    <button mat-raised-button color="primary" [mat-dialog-close]="false"
            style="float: right; margin-left: 20px; margin-bottom: 12px">Отмена
    </button>
  </div>
</div>
